/**
 * Data model pour les fées
 */
export default class FeeDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      feetype: new fields.StringField({ initial: "traditionnelle" }),
      avantages: new fields.StringField({ initial: "" }),
      desavantages: new fields.StringField({ initial: "" }),
      pouvoirsfeeriquesmasque: new fields.StringField({ initial: "" }),
      pouvoirsfeeriquesdemasque: new fields.StringField({ initial: "" }),
      atoutsfeeriques: new fields.StringField({ initial: "" }),
      competences: new fields.StringField({ initial: "" }),
      capacitenaturelles: new fields.StringField({ initial: "" }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
